Download it now!
Bug 90979 - FILESAVE: Chart Area Shrunk on Round-Trip
Summary: FILESAVE: Chart Area Shrunk on Round-Trip
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.0.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: target:5.0.0
Keywords: bibisectRequest, regression
Depends on:
Blocks:
 
Reported: 2015-04-30 19:25 UTC by Luke
Modified: 2015-12-17 09:00 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Comparison of Calc 4.4 vs Calc 5.0 round-trip (389.06 KB, image/png)
2015-04-30 19:25 UTC, Luke
Details
Chart stripped out. (13.35 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2015-05-01 08:48 UTC, Luke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luke 2015-04-30 19:25:34 UTC
Created attachment 115226 [details]
Comparison of Calc 4.4 vs Calc 5.0 round-trip

Steps to reproduce:
1. Open attachment 81707 [details] in Calc
2. Save as XLSX
3. Close and reopen in Calc

In Calc 5.0 the chart on the bottom left, is shrunk on round-trip.
Comment 1 Luke 2015-05-01 08:48:56 UTC
Created attachment 115234 [details]
Chart stripped out.

I forgot to mention, that when the round-tripped file is opened in Excel, it's also shrunk down.
Comment 2 raal 2015-05-01 15:55:53 UTC
I can confirm with Version: 5.0.0.0.alpha1+
Build ID: 59adad74084e9281887e3f78a225794f37b784d7
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-04-29_12:40:39
Comment 3 Luke 2015-05-01 22:14:47 UTC
Adding Markus as he's currently working on the chart import/export code.
Comment 4 Commit Notification 2015-05-02 19:12:13 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cc8b8e84e8e8962f1c84bd41262effeebaec6e4e

our values are related to the inner mode, tdf#90979

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Robinson Tryon (qubit) 2015-12-17 09:00:12 UTC
Migrating Whiteboard tags to Keywords: (bibisectRequest)
[NinjaEdit]